<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

// Import the parent class
jimport('joomla.plugin.plugin');


class plgSystemPrettyPhoto extends JPlugin {

    var $doc;
    /**
     * Event onAfterRender
     *
     * @access public
     * @param null
     * @return null
     */
    public function onAfterDispatch() {
        // Dot not load if this is not the right document-class
        $this->doc = JFactory::getDocument();
        if ($this->doc->getType() != 'html') {
            return false;
        }

        // Perform actions on the frontend
        $application = JFactory::getApplication();
        if ($application->isSite()) {

            $this->addCSS();
            $this->addJS();

            

            $script_lines = array('<!--//--><![CDATA[//><!--');
            $script_lines[] = 'jQuery(document).ready(function(){';
            //$script_lines[] = '(function($) { ';
            //$script_lines[] = 'jQuery(function() {';
            $script_lines[] = 'jQuery("a[rel^=\'prettyPhoto\']").prettyPhoto();';

            $script_lines[] = '});';
            //$script_lines[] = '});';
            $script_lines[] = '//--><!]]>';
            
             

 

           
            $this->doc->addScriptDeclaration(implode("\n", $script_lines));
        }
    }

    /**
     * Load the parameters
     *
     * @access private
     * @param null
     * @return JParameter
     */
    private function getParams() {
        if (isset($this->params) && is_object($this->params)) {
            return $this->params;
        }
        $plugin = JPluginHelper::getPlugin('system', 'prettyPhoto');
        $params = new JParameter($plugin->params);
        return $params;
    }

    function addCSS() {
        

        $pathCSS = JURI::base(true) . "/media/plg_prettyPhoto/css/prettyPhoto.css";
        $this->doc->addStyleSheet($pathCSS);
        
    }

    function addJS() {

        $pathFancy = JURI::base(true) . "/media/plg_prettyPhoto/js/jquery.prettyPhoto.js";
        $this->doc->addScript($pathFancy);
        
    }

}

?>
